"use strict";Object.defineProperty(exports, "__esModule", {value: true}); function _nullishCoalesce(lhs, rhsFn) { if (lhs != null) { return lhs; } else { return rhsFn(); } }

var _chunk2Q4Q3VX6cjs = require('./chunk-2Q4Q3VX6.cjs');


var _chunkBVNSW3CFcjs = require('./chunk-BVNSW3CF.cjs');


var _chunkLMPRNVYBcjs = require('./chunk-LMPRNVYB.cjs');

// src/common/schema/export-swift.ts
var mapSwiftType = {
  string: "String",
  number: "Double",
  int: "Int",
  boolean: "Bool"
};
function schemaExportSwiftStruct(schema, name = "Example") {
  _chunkLMPRNVYBcjs.assert.call(void 0, _chunk2Q4Q3VX6cjs.isSchemaObjectFlat.call(void 0, schema), "schema should be a flat object");
  const lines = [
    `struct ${name} {`
  ];
  _chunkBVNSW3CFcjs.objectMap.call(void 0, schema._object, (key, schema2) => {
    let s = `  var ${key}: ${_nullishCoalesce(mapSwiftType[schema2.type], () => ( schema2.type))}`;
    if (schema2._optional === true)
      s += "?";
    if (schema2._default != null)
      s += ` = ${schema2._default}`;
    lines.push(s);
  });
  lines.push("}");
  return lines.join("\n");
}



exports.schemaExportSwiftStruct = schemaExportSwiftStruct;
//# sourceMappingURL=chunk-IWO4ABJF.cjs.map