import {
  schemaExportSwiftStruct
} from "../../chunk-PTJHYZOR.js";
import {
  boolean,
  int,
  number,
  object,
  string
} from "../../chunk-QY5DHPIN.js";
import "../../chunk-HIX6EHLQ.js";
import "../../chunk-PIP5E7GF.js";
import "../../chunk-GAB5OQ4U.js";
import "../../chunk-QLW2QJ6C.js";
import "../../chunk-LUGJYROQ.js";
import "../../chunk-4P5GCQLI.js";
import "../../chunk-CV2N52ZM.js";
import "../../chunk-JAGWOLOG.js";
import "../../chunk-YX6CL4KH.js";
import "../../chunk-CFICINSP.js";
import "../../chunk-MSASB4XB.js";
import "../../chunk-UOAPXGA4.js";
import "../../chunk-EAYWSLQT.js";
import "../../chunk-I7BWSAN6.js";

// src/common/schema/export-swift.spec.ts
describe("swift.spec", () => {
  it("parse args", async () => {
    const schema = object({
      anInt: int().optional().default(0),
      aBool: boolean(),
      aNumber: number(),
      aString: string()
    });
    expectTypeOf().toMatchTypeOf();
    const r = schemaExportSwiftStruct(schema, "Test");
    expect(r).toMatchInlineSnapshot(`
      "struct Test {
        var anInt: Int? = 0
        var aBool: Bool
        var aNumber: Double
        var aString: String
      }"
    `);
  });
});
//# sourceMappingURL=export-swift.spec.js.map